net.corda.core.contracts

## Interface MultilateralNettableState<T>

- All Known Subinterfaces:
    NettableState<N,T>
  All Known Implementing Classes:
    Obligation.State

      public MultilateralNettableState<T>

  Interface for state objects that support being netted with other state objects.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getMultilateralNetState()` Returns an object used to determine if two states can be subject to close-out netting. If two states return equal objects, they can be close out netted together.

- - ### Method Detail

    - #### getMultilateralNetState

          T getMultilateralNetState()

      Returns an object used to determine if two states can be subject to close-out netting. If two states return equal objects, they can be close out netted together.